package alx.p01_interakcja.konsola;

/* Napisz program, który symuluje zakup jednego towaru.
   Program pyta: Co chcesz kupić
   Użytkownik odpowiada np.: telewizor
   Program pyta: Ile kosztuje jedna sztuka telewizor?
   Użytkownik odpowiada np.: 2600
   Program pyta: Ile sztuk telewizor chcesz kupić?
   Użytkownik odpowiada np.: 2
   Program wypisuje: Za 2 sztuki towaru telewizor zapłacisz 5200 zł
 */

import java.util.Scanner;

public class Zakupy1 {

    // Cenę należy wprowadzić z przecinkiem (jeśli ustawienia językowe komputera to polski)
    // Gdy println wypisuje wynik, wypisuje zawsze z kropką.

    // Scanner i printf biorą pod uwagę ustawienia regionalne
    // println nie bierze pod uwagę ustawień regionalnych

    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);
        System.out.print("Co chcesz kupić? ");
        String towar = sc.nextLine();
        System.out.print("Ile kosztuje jedna sztuka? ");
        double cena = sc.nextDouble();
        System.out.print("Ile sztuk chcesz kupić? ");
        int sztuk = sc.nextInt();

        double suma = sztuk * cena;
        System.out.println("Za " + sztuk + " sztuk towaru " + towar + " do zapłaty: " + suma);
    }
}
